Bug 845709 - [abrt] gphotoframe-1.5.1-1.fc17: parseexif.py:51:get_size:ValueError: invalid literal for int() with base 10: '[]'
[abrt] gphotoframe-1.5.1-1.fc17: parseexif.py:51:get_size:ValueError: invalid...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gphotoframe (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mamoru TASAKA
Fedora Extras Quality Assurance
abrt_hash:4f3d6c15abfa62d6c0f617a1a63...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-03 19:54 EDT by javier del cristo
Modified: 2012-08-11 05:38 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-11 05:38:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description javier del cristo 2012-08-03 19:54:46 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
cmdline:        /usr/bin/python /usr/bin/gphotoframe
executable:     /usr/bin/gphotoframe
kernel:         3.5.0-2.fc17.x86_64
time:           jue 20 ago 2009 05:20:38 BRT
uid:            1000
username:       javierdelcristo

backtrace:
:parseexif.py:51:get_size:ValueError: invalid literal for int() with base 10: '[]'
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/gphotoframe/liststore.py", line 81, in _start_timer
:    updated = self._change_photo()
:  File "/usr/lib/python2.7/site-packages/gphotoframe/liststore.py", line 104, in _change_photo
:    target().get_photo(self._show_photo_cb)
:  File "/usr/lib/python2.7/site-packages/gphotoframe/plugins/folder.py", line 47, in get_photo
:    cb(None, self.photo)
:  File "/usr/lib/python2.7/site-packages/gphotoframe/liststore.py", line 116, in _show_photo_cb
:    elif self.photoframe.set_photo(photo):
:  File "/usr/lib/python2.7/site-packages/gphotoframe/frame.py", line 70, in set_photo
:    if not self.photoimage.set_photo(photo): return False
:  File "/usr/lib/python2.7/site-packages/gphotoframe/image/gtkimage.py", line 28, in set_photo
:    if self.pixbuf.set(self.photo) is False:
:  File "/usr/lib/python2.7/site-packages/gphotoframe/image/gtkimage.py", line 96, in set
:    photo.get_exif()
:  File "/usr/lib/python2.7/site-packages/gphotoframe/plugins/base/base.py", line 210, in get_exif
:    size = tags.get_size()
:  File "/usr/lib/python2.7/site-packages/gphotoframe/plugins/base/parseexif.py", line 51, in get_size
:    return int(w.printable), int(h.printable)
:ValueError: invalid literal for int() with base 10: '[]'
:
:Local variables in innermost frame:
:h: (0xA003) Long=[] @ 1349021556
:self: <gphotoframe.plugins.base.parseexif.ParseEXIF object at 0x2321f50>
:w: (0xA002) Long=1024 @ 186

smolt_data:
:
:
:General
:=================================
:UUID: 612b7681-aa0e-4366-8b5c-11889d39b970
:SO: Fedora release 17 (Beefy Miracle)
:Nivel de ejecución por defecto: Unknown
:Idioma: es_CO.utf8
:Plataforma: x86_64
:BogoMIPS: 4256.58
:Fabricante de CPU: GenuineIntel
:Modelo de CPU: Intel(R) Core(TM) i3 CPU       M 330  @ 2.13GHz
:Paso del UCP: 2
:Familia de UCP: 6
:Número de Modelo de CPU: 37
:Número de CPUs: 4
:Velocidad del CPU: 2133
:Memoria del Sistema: 3818
:Intercambio (swap) del Sistema: 5855
:Vendedor: Dell Inc.
:Sistema: Inspiron 1564 A13
:Factor de forma: Portable
:Kernel: 3.5.0-2.fc17.x86_64
:SELinux Habilitado: 1
:Política de SELinux: targeted
:SELinux Obligado: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Dispositivos
:=================================
:(32902:11362:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture Generic Non-core Registers
:(32902:11521:32902:32902) pci, None, HOST/PCI, Core Processor QuickPath Architecture System Address Decoder
:(32902:68:4136:1076) pci, None, HOST/PCI, Core Processor DRAM Controller
:(32902:69:4136:1076) pci, pcieport, PCI/PCI, Core Processor PCI Express x16 Root Port
:(32902:11536:32902:32902) pci, None, HOST/PCI, Core Processor QPI Link 0
:(32902:11537:32902:32902) pci, None, HOST/PCI, Core Processor QPI Physical 0
:(5348:17173:4136:12) pci, wl, NETWORK, Wireless 1397 WLAN Mini-Card
:(32902:11539:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(32902:15152:4136:1076) pci, None, SERIAL, 5 Series/3400 Series Chipset SMBus Controller
:(32902:15145:4136:1076) pci, ahci, STORAGE, 5 Series/3400 Series Chipset 4 port SATA AHCI Controller
:(32902:15113:4136:1076) pci, None, PCI/ISA, Mobile 5 Series Chipset LPC Interface Controller
:(4098:38226:4136:1076) pci, radeon, VIDEO, M92 LP [Mobility Radeon HD 4300 Series]
:(4098:43576:4136:1076) pci, snd_hda_intel, MULTIMEDIA, RV710/730
:(32902:15164:4136:1076) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:9288:4136:1076) pci, None, PCI/PCI, 82801 Mobile PCI Bridge
:(32902:15204:4136:1076) pci, mei, SIMPLE, 5 Series/3400 Series Chipset HECI Controller
:(32902:15170:4136:1076) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 1
:(32902:15172:4136:1076) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 2
:(32902:15190:4136:1076) pci, snd_hda_intel, MULTIMEDIA, 5 Series/3400 Series Chipset High Definition Audio
:(32902:15156:4136:1076) pci, ehci_hcd, USB, 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
:(32902:15180:4136:1076) pci, pcieport, PCI/PCI, 5 Series/3400 Series Chipset PCI Express Root Port 6
:(32902:11538:32902:32902) pci, None, HOST/PCI, Core Processor Reserved
:(4332:33078:4136:1076) pci, r8169, ETHERNET, RTL8101E/RTL8102E PCI Express Fast Ethernet controller
:
:
:Información relacionada con el sistema de archivos
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_javierdelcristo-lv_root / ext4 4096 4096 13081025 7326694 6671334 3276800 2698572 2698572
:/dev/sda2 /boot ext4 1024 1024 508644 398825 373225 128016 127665 127665
:/dev/mapper/vg_javierdelcristo-lv_home /home ext4 4096 4096 63328511 54486386 51316082 15851520 15832458 15832458
:
Comment 1 Mamoru TASAKA 2012-08-04 01:18:32 EDT
Please provide additional detailed information to reproduce this issue.
Comment 2 Mamoru TASAKA 2012-08-11 05:38:51 EDT
Closing as INSUFFICIENT_DATA.

Note You need to log in before you can comment on or make changes to this bug.